Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.makeithappen.model.task.impl
Class TaskImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecp.makeithappen.model.task.impl.TaskImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, Task

    public class TaskImpl

extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements Task

An implementation of the model object 'Task'.

The following features are implemented:

- `Name`
- `Description`
- `Assignee`
- `Due Date`
- `Sub Tasks`
- `Done`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`User` | `basicGetAssignee()`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAssignee(User newAssignee, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)` .
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object` | `eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, Object newValue)`
`void` | `eUnset(int featureID)`
`User` | `getAssignee()`
`String` | `getDescription()`
`Date` | `getDueDate()`
`String` | `getName()`
`org.eclipse.emf.common.util.EList<Task>` | `getSubTasks()`
`boolean` | `hasName(org.eclipse.emf.common.util.DiagnosticChain chain, Map<?,?> context)`
`boolean` | `isDone()`
`void` | `setAssignee(User newAssignee)`
`void` | `setDescription(String newDescription)`
`void` | `setDone(boolean newDone)`
`void` | `setDueDate(Date newDueDate)`
`void` | `setName(String newName)`
`String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Task`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `Task.setName(String)`, `TaskPackage.getTask_Name()`

### setName

    public void setName(String newName)

  Specified by:
    `setName` in interface `Task`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `Task.getName()`

### getAssignee

    public User getAssignee()

  Specified by:
    `getAssignee` in interface `Task`
  Returns:
    the value of the 'Assignee' reference.
  See Also:
    `Task.setAssignee(User)`, `TaskPackage.getTask_Assignee()`, `User.getTasks()`

### basicGetAssignee

    public User basicGetAssignee()

### basicSetAssignee

    public org.eclipse.emf.common.notify.NotificationChain basicSetAssignee(User newAssignee,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setAssignee

    public void setAssignee(User newAssignee)

  Specified by:
    `setAssignee` in interface `Task`
  Parameters:
    `newAssignee` - the new value of the 'Assignee' reference.
  See Also:
    `Task.getAssignee()`

### getSubTasks

    public org.eclipse.emf.common.util.EList<Task> getSubTasks()

  Specified by:
    `getSubTasks` in interface `Task`
  Returns:
    the value of the 'Sub Tasks' containment reference list.
  See Also:
    `TaskPackage.getTask_SubTasks()`

### isDone

    public boolean isDone()

  Specified by:
    `isDone` in interface `Task`
  Returns:
    the value of the 'Done' attribute.
  See Also:
    `Task.setDone(boolean)`, `TaskPackage.getTask_Done()`

### setDone

    public void setDone(boolean newDone)

  Specified by:
    `setDone` in interface `Task`
  Parameters:
    `newDone` - the new value of the 'Done' attribute.
  See Also:
    `Task.isDone()`

### hasName

    public boolean hasName(org.eclipse.emf.common.util.DiagnosticChain chain,
                           Map<?,?> context)

  Specified by:
    `hasName` in interface `Task`
  Parameters:
    `chain` - the diagnostic chain.
    `context` - the context.
  Returns:
    whether the task has a name.

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  .

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getDueDate

    public Date getDueDate()

  Specified by:
    `getDueDate` in interface `Task`
  Returns:
    the value of the 'Due Date' attribute.
  See Also:
    `Task.setDueDate(Date)`, `TaskPackage.getTask_DueDate()`

### setDueDate

    public void setDueDate(Date newDueDate)

  Specified by:
    `setDueDate` in interface `Task`
  Parameters:
    `newDueDate` - the new value of the 'Due Date' attribute.
  See Also:
    `Task.getDueDate()`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Task`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `Task.setDescription(String)`, `TaskPackage.getTask_Description()`

### setDescription

    public void setDescription(String newDescription)

  Specified by:
    `setDescription` in interface `Task`
  Parameters:
    `newDescription` - the new value of the 'Description' attribute.
  See Also:
    `Task.getDescription()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInvoke

    public Object eInvoke(int operationID,
                          org.eclipse.emf.common.util.EList<?> arguments)
                   throws InvocationTargetException

  Specified by:
    `eInvoke` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eInvoke` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  Throws:
    `InvocationTargetException`

### toString

    public String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.